/* 
 * "ESCLINE.H"
 * 
 * Part of The Escotia Playstation Library 
 *
 * Functions to make programming a chore not a pleasure
 *
 * Author:	ScoTT Campbell
 * Date:	10/9/98
 *
*/

#ifndef __ESCLINEHEADER
#define __ESCLINEHEADER



/*****************************/
/* Start of GsLINE functions */ 
/*****************************/

void InitLine(GsLINE* linePtr, int xStart, int yStart, int xEnd, int yEnd);
/* Sets the line pointed to by linePtr start position to (xStart, yStart) and its'		*/
/* end position to (xEnd, yEnd)															*/
/* Its' attributes are set to no transparency and display on, and it's colour is set	*/
/* to white																				*/


void SetLinePosition(GsLINE* linePtr, int xStart, int yStart, int xEnd, int yEnd);
/* Sets the line pointed to by linePtr to position (xStart,yStart), (xEnd,yEnd)			*/


void SetLineStartPosition(GsLINE* linePtr, int xStart, int yStart);
/* Sets the line pointed to by linePtr start position to (xStart,yStart)				*/


void SetLineXStartPosition(GsLINE* linePtr, int xStart);
/* Sets the line pointed to by linePtr X start position to xStart						*/


void SetLineYStartPosition(GsLINE* linePtr, int yStart);
/* Sets the line pointed to by linePtr Y start position to yStart						*/


void SetLineEndPosition(GsLINE* linePtr, int xEnd, int yEnd);
/* Sets the line pointed to by linePtr end position to (xEnd,yEnd)						*/ 


void SetLineXEndPosition(GsLINE* linePtr, int xEnd);
/* Sets the line pointed to by linePtr X end position to xEnd							*/


void SetLineYEndPosition(GsLINE* linePtr, int yEnd);
/* Sets the line pointed to by linePtr Y end position to yEnd							*/


void MoveLine(GsLINE* linePtr, int xAmount, int yAmount);
/* Adjusts the line pointed to by linePtr x,y display position by the values			*/
/* xAmount,yAmount																		*/


void MoveLineStart(GsLINE* linePtr, int xAmount, int yAmount);
/* Adjusts the line pointed to by linePtr start positon by xAmount,yAmount				*/


void MoveLineEnd(GsLINE* linePtr, int xAmount, int yAmount);
/* Adjusts the line pointed to by linePtr end positon by xAmount,yAmount				*/


void SetLineColourVector(GsLINE* linePtr, CVECTOR* colourVectorPtr);
/* Sets the line pointed to by linePtr colour to the value in the colour vector pointed	*/
/* to by startVectorPtr																	*/


void SetLineColour(GsLINE* linePtr, unsigned char r, unsigned char g, unsigned char b);
/* Sets the line pointed to by linePtr colour to the value (r,g,b)						*/


void SetLineAttributes(GsLINE* linePtr, unsigned long int attributes);
/* Sets the line pointed to by linePtr attributes to attributes as specifed in the Net	*/
/* Yaroze Manual																		*/


/***************************/
/* End of GsLINE functions */ 
/***************************/

#endif
