/*
 * "ESCOT.C"
 * 
 * Part of The Escotia Playstation Library 
 *
 * Functions to make programming a chore not a pleasure
 *
 * Author:	ScoTT Campbell
 * Date:	11/8/98
 *
*/


#include "..\headers\escot.h"



void InitWorldOTs()
{
	int i;

	/* Set up the OT's */
	for(i=0;i<2;i++)
	{
		worldOT[i].length = WORLD_OT_LENGTH;	
		worldOT[i].org = OTElements[i];

		GsClearOt(0, 0, &worldOT[i]);
	}


}/* InitWorldOTs */



GsOT* CreateOT(unsigned char length)
{
	GsOT* otPtr;
	
	if( !(otPtr = (GsOT*) malloc(sizeof(GsOT))) )
		return NULL;

	if( !(otPtr->org = (GsOT_TAG*) calloc((1<<length), sizeof(GsOT_TAG))) )
		return NULL;

	otPtr->length = length;

	return otPtr;

}/* CreateOT */


void DestroyOT(GsOT* otPtr)
{
	if((otPtr != NULL) && (otPtr->org != NULL))
	{
		free((void*)otPtr->org);
		free((void*)otPtr);

		otPtr = NULL;
	}


}/* DestroyOT */

